<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Stock](./bitburner.stock.md) &gt; [getBonusTime](./bitburner.stock.getbonustime.md)

## Stock.getBonusTime() method

Get Stock Market bonus time.

**Signature:**

```typescript
getBonusTime(): number;
```
**Returns:**

number

Amount of accumulated “bonus time” (milliseconds) for the Stock Market mechanic.

## Remarks

RAM cost: 0 GB

“Bonus time” is accumulated when the game is offline or if the game is inactive in the browser.

Stock Market prices update more frequently during “bonus time”.

